globus_gsi_gss_returned_context_flags(3)

NAME
globus_gsi_gss_returned_context_flags - Return Flags

 - Return Flags.

SYNOPSIS

  Macros

#define GSS_C_GLOBUS_RECEIVED_LIMITED_PROXY_FLAG
Received Limited Proxy Flag.
#define GSS_C_GLOBUS_RECEIVED_LIMITED_PROXY_DURING_DELEGATION_FLAG
Received Limited Proxy During Delegation Flag.
#define GSS_C_GLOBUS_LIMITED_PROXY_MANY_FLAG
Limited Proxy Many Flag.

Detailed Description

Return Flags.

These macros set the RETURNED context type - these will be be set (or not) in the context's ret_flags

Macro Definition Documentation

  #define GSS_C_GLOBUS_LIMITED_PROXY_MANY_FLAG

Limited Proxy Many Flag.

  #define GSS_C_GLOBUS_RECEIVED_LIMITED_PROXY_DURING_DELEGATION_FLAG

Received Limited Proxy During Delegation Flag. If the proxy received is a limited proxy received during delegation, this flag is set in the returned flags

  #define GSS_C_GLOBUS_RECEIVED_LIMITED_PROXY_FLAG

Received Limited Proxy Flag. If the proxy received is a limited proxy, this flag will be set in the returned context flags (ret_flags)

Author

Generated automatically by Doxygen for globus_gssapi_gsi from the source code.